org.apache.poi.openxml4j.util

## Interface ZipEntrySource

- All Superinterfaces:
    java.lang.AutoCloseable, java.io.Closeable
  All Known Implementing Classes:
    AesZipFileZipEntrySource, ZipFileZipEntrySource, ZipInputStreamZipEntrySource

      public interface ZipEntrySource
      extends java.io.Closeable

  An Interface to make getting the different bits of a Zip File easy. Allows you to get at the ZipEntries, without needing to worry about ZipFile vs ZipInputStream being annoyingly very different.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Indicates we are done with reading, and resources may be freed
    `java.util.Enumeration<? extends org.apache.commons.compress.archivers.zip.ZipArchiveEntry>` | `getEntries()` Returns an Enumeration of all the Entries
    `org.apache.commons.compress.archivers.zip.ZipArchiveEntry` | `getEntry(java.lang.String path)` Return an entry by its path
    `java.io.InputStream` | `getInputStream(org.apache.commons.compress.archivers.zip.ZipArchiveEntry entry)` Returns an InputStream of the decompressed data that makes up the entry
    `boolean` | `isClosed()` Has close been called already?

- - ### Method Detail

    - #### getEntries

          java.util.Enumeration<? extends org.apache.commons.compress.archivers.zip.ZipArchiveEntry> getEntries()

      Returns an Enumeration of all the Entries

    - #### getEntry

          org.apache.commons.compress.archivers.zip.ZipArchiveEntry getEntry(java.lang.String path)

      Return an entry by its path
      Parameters:
        `path` - the path in unix-notation
      Returns:
        the entry or `null` if not found
      Since:
        POI 4.0.0

    - #### getInputStream

          java.io.InputStream getInputStream(org.apache.commons.compress.archivers.zip.ZipArchiveEntry entry)
                                      throws java.io.IOException

      Returns an InputStream of the decompressed data that makes up the entry
      Throws:
        `java.io.IOException`

    - #### close

          void close()
              throws java.io.IOException

      Indicates we are done with reading, and resources may be freed
      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Specified by:
        `close` in interface `java.io.Closeable`
      Throws:
        `java.io.IOException`

    - #### isClosed

          boolean isClosed()

      Has close been called already?

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.